<html>
<head>
<title>Ogre::EntityMeshLodChangedEvent Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1EntityMeshLodChangedEvent.html">EntityMeshLodChangedEvent</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::EntityMeshLodChangedEvent Struct Reference<div class="ingroups"><a class="el" href="group__LOD.html">LOD</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::EntityMeshLodChangedEvent" -->
<p>Struct containing information about a mesh lod change event for entities.  
 <a href="structOgre_1_1EntityMeshLodChangedEvent.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a>&gt;</code></p>

<p><a href="structOgre_1_1EntityMeshLodChangedEvent-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Entity.html">Entity</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EntityMeshLodChangedEvent.html#aa287ecb05d015608480649f83d82e82a">entity</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The entity whose level of detail has changed.  <a href="#aa287ecb05d015608480649f83d82e82a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Camera.html">Camera</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EntityMeshLodChangedEvent.html#a96ceab8917968af723ceb61255b32176">camera</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The camera with respect to which the level of detail has changed.  <a href="#a96ceab8917968af723ceb61255b32176"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EntityMeshLodChangedEvent.html#a296d3f28b84001e84a6153a6b8892dc7">lodValue</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Lod value as determined by lod strategy.  <a href="#a296d3f28b84001e84a6153a6b8892dc7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EntityMeshLodChangedEvent.html#a1a625ed93ab2583259ccda5e55b791f3">previousLodIndex</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Previous level of detail index.  <a href="#a1a625ed93ab2583259ccda5e55b791f3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EntityMeshLodChangedEvent.html#a5776be6e6bfcafad43bbf2f3ca2f1b8d">newLodIndex</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">New level of detail index.  <a href="#a5776be6e6bfcafad43bbf2f3ca2f1b8d"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Struct containing information about a mesh lod change event for entities. </p>

<p>Definition at line <a class="el" href="OgreLodListener_8h_source.html#l00054">54</a> of file <a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a96ceab8917968af723ceb61255b32176"></a><!-- doxytag: member="Ogre::EntityMeshLodChangedEvent::camera" ref="a96ceab8917968af723ceb61255b32176" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Camera.html">Camera</a>* <a class="el" href="structOgre_1_1EntityMeshLodChangedEvent.html#a96ceab8917968af723ceb61255b32176">Ogre::EntityMeshLodChangedEvent::camera</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The camera with respect to which the level of detail has changed. </p>

<p>Definition at line <a class="el" href="OgreLodListener_8h_source.html#l00060">60</a> of file <a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa287ecb05d015608480649f83d82e82a"></a><!-- doxytag: member="Ogre::EntityMeshLodChangedEvent::entity" ref="aa287ecb05d015608480649f83d82e82a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Entity.html">Entity</a>* <a class="el" href="structOgre_1_1EntityMeshLodChangedEvent.html#aa287ecb05d015608480649f83d82e82a">Ogre::EntityMeshLodChangedEvent::entity</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The entity whose level of detail has changed. </p>

<p>Definition at line <a class="el" href="OgreLodListener_8h_source.html#l00057">57</a> of file <a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a>.</p>

</div>
</div>
<a class="anchor" id="a296d3f28b84001e84a6153a6b8892dc7"></a><!-- doxytag: member="Ogre::EntityMeshLodChangedEvent::lodValue" ref="a296d3f28b84001e84a6153a6b8892dc7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1EntityMeshLodChangedEvent.html#a296d3f28b84001e84a6153a6b8892dc7">Ogre::EntityMeshLodChangedEvent::lodValue</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Lod value as determined by lod strategy. </p>

<p>Definition at line <a class="el" href="OgreLodListener_8h_source.html#l00063">63</a> of file <a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5776be6e6bfcafad43bbf2f3ca2f1b8d"></a><!-- doxytag: member="Ogre::EntityMeshLodChangedEvent::newLodIndex" ref="a5776be6e6bfcafad43bbf2f3ca2f1b8d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="structOgre_1_1EntityMeshLodChangedEvent.html#a5776be6e6bfcafad43bbf2f3ca2f1b8d">Ogre::EntityMeshLodChangedEvent::newLodIndex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>New level of detail index. </p>

<p>Definition at line <a class="el" href="OgreLodListener_8h_source.html#l00069">69</a> of file <a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1a625ed93ab2583259ccda5e55b791f3"></a><!-- doxytag: member="Ogre::EntityMeshLodChangedEvent::previousLodIndex" ref="a1a625ed93ab2583259ccda5e55b791f3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="structOgre_1_1EntityMeshLodChangedEvent.html#a1a625ed93ab2583259ccda5e55b791f3">Ogre::EntityMeshLodChangedEvent::previousLodIndex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Previous level of detail index. </p>

<p>Definition at line <a class="el" href="OgreLodListener_8h_source.html#l00066">66</a> of file <a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreLodListener_8h_source.html">OgreLodListener.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:58
</p>
</body>
</html>
